PHY_CONNECT(9)

NAME
phy_connect - connect an ethernet device to a PHY device

SYNOPSIS

struct phy_device * phy_connect(struct net_device * dev, const char * bus_id, void (*handler) (struct net_device *), phy_interface_t interface);

ARGUMENTS

dev
    the network device to connect

bus_id
    the id string of the PHY device to connect

handler
    callback function for state change notifications

interface
    PHY device's interface

DESCRIPTION

Convenience function for connecting ethernet devices to PHY devices. The default behavior is for the PHY infrastructure to handle everything, and only notify the connected driver when the link status changes. If you don't want, or can't use the provided functionality, you may choose to call only the subset of functions which provide the desired functionality.

COPYRIGHT